package com.yihu.wlyy.entity.doctor.team.sign;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.sql.Timestamp;
import java.util.Date;

/**
 * 医生签约团队成员。
 *
 * @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "wlyy_doctor_team_member")
public class DoctorTeamMember extends IdEntity {

    // Fields
    private String team;
    private String memberCode;
    private String code;
    private String name;
    private Integer type;//医生类型：1专科医生，2全科医生，3健康管理师，4临时专科 5.患者
    private Date czrq;
    private String del;//是否作废，1正常，0作废
    private String signType;//签约类型（1表示三师签约，2表示家庭签约）

    /**
     * default constructor
     */
    public DoctorTeamMember() {
    }

    /**
     * minimal constructor
     */
    public DoctorTeamMember(String team, String doctor, Integer type,
                            Timestamp czrq) {
        this.team = team;
        this.type = type;
        this.czrq = czrq;
    }

    /**
     * full constructor
     */
    public DoctorTeamMember(String team, String doctor, String name,
                            Integer type, Timestamp czrq, String del) {
        this.team = team;
        this.name = name;
        this.type = type;
        this.czrq = czrq;
        this.del = del;
    }


    @Column(name = "team", nullable = false, length = 50)
    public String getTeam() {
        return this.team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    @Column(name = "member_code", nullable = false, length = 50)
    public String getMemberCode() {
        return memberCode;
    }

    public void setMemberCode(String memberCode) {
        this.memberCode = memberCode;
    }

    @Column(name = "name", length = 50)
    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "type", nullable = false)
    public Integer getType() {
        return this.type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "czrq", nullable = false, length = 0)
    public Date getCzrq() {
        return this.czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    @Column(name = "del", length = 1)
    public String getDel() {
        return this.del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "sign_type")
    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }
}